Package: org.grails.web.plugins.support

## [Groovy] Class DefaultConstrainedDiscovery

- org.grails.web.plugins.support.DefaultConstrainedDiscovery

- All Implemented Interfaces and Traits:
    ConstrainedDiscovery

      @groovy.transform.CompileStatic
      class DefaultConstrainedDiscovery
      extends java.lang.Object
      implements ConstrainedDiscovery

  Discovers the default constrained properties for a domain class

  Authors:
    Graeme Rocher
  Since:
    3.3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultConstrainedDiscovery ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private static java.util.Map<java.lang.String, Constrained>` | `adaptConstraints(java.util.Map<java.lang.String, grails.gorm.validation.ConstrainedProperty> evaluated)`
    `` | `java.util.Map<java.lang.String, Constrained>` | `findConstrainedProperties(org.grails.datastore.mapping.model.PersistentEntity entity)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### DefaultConstrainedDiscovery()

  - ### Method Detail

    - #### private static java.util.Map<java.lang.String, Constrained> adaptConstraints(java.util.Map<java.lang.String, grails.gorm.validation.ConstrainedProperty> evaluated)

    - #### @java.lang.Override java.util.Map<java.lang.String, Constrained> findConstrainedProperties(org.grails.datastore.mapping.model.PersistentEntity entity)